# Class SSLSessionBindingEvent

java.lang.Object
java.util.EventObject
javax.net.ssl.SSLSessionBindingEvent

All Implemented Interfaces:
  `Serializable`

public class SSLSessionBindingEvent extends EventObject
This event is propagated to a SSLSessionBindingListener. When a listener object is bound or unbound to an SSLSession by `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, objects which implement the SSLSessionBindingListener will receive an event of this type. The event's `name` field is the key in which the listener is being bound or unbound.

Since:
  1.4
See Also:
  - `SSLSession`
  - `SSLSessionBindingListener`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`SSLSessionBindingEvent(SSLSession session, String name)`
Constructs a new SSLSessionBindingEvent.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name to which the object is being bound, or the name from which the object is being unbound.
`SSLSession`
`getSession()`
Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

### Methods declared in class EventObject

`getSource, toString`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.
`String`
`toString()`
Returns a String representation of this EventObject.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### SSLSessionBindingEvent

public SSLSessionBindingEvent(SSLSession session, String name)
Constructs a new SSLSessionBindingEvent.

Parameters:
  `session` - the SSLSession acting as the source of the event
  `name` - the name to which the object is being bound or unbound
Throws:
  `IllegalArgumentException` - if `session` is null.

## Method Details

### getName

public String getName()
Returns the name to which the object is being bound, or the name from which the object is being unbound.

Returns:
  the name to which the object is being bound or unbound

### getSession

public SSLSession getSession()
Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

Returns:
  the `SSLSession`